> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zapthinker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Change Session Status

> Altera o status de uma sessão do bot RAG. Status: opened, closed, paused, delete.



## OpenAPI

````yaml openapi-v2 POST /rag/changeStatus/{instance}
openapi: 3.0.3
info:
  title: ZapThinker API
  version: 2.1.1
servers:
  - url: https://api.zapthinker.com
security: []
paths:
  /rag/changeStatus/{instance}:
    post:
      tags:
        - RAG Controller
      summary: Change RAG bot session status
      description: >-
        Altera o status de uma sessão do bot RAG. Status: opened, closed,
        paused, delete.
      operationId: changeRagBotStatus
      parameters:
        - name: instance
          in: path
          required: true
          description: Nome da instância
          schema:
            type: string
      requestBody:
        description: Dados para alterar o status
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                remoteJid:
                  type: string
                  description: JID remoto
                  example: 5511912345678@s.whatsapp.net
                status:
                  type: string
                  enum:
                    - opened
                    - closed
                    - paused
                    - delete
                  example: closed
              required:
                - remoteJid
                - status
      responses:
        '200':
          description: Status alterado com sucesso
          content:
            application/json:
              schema:
                type: object
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````